Completed access request approvals list
GET/access-request-approvals/v1/completed
This endpoint returns list of completed approvals. See owner-id query parameter below for authorization info. For access requests for machines, each approval will include 'identityType' as 'MACHINE' and 'requestedFor' with 'type: MACHINE_IDENTITY' and the machine id. Approvals without a stored identity type are returned as 'HUMAN' / 'IDENTITY'.
When a requested object has an associated form, each approval may include a form object with the form definition ID, instance ID, and answers (formData).
Request
Responses
- 200
- 400
- 401
- 403
- 429
- 500
List of Completed Approvals.
Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.